package cn.iocoder.yudao.module.system.service.robot.job;

import cn.iocoder.yudao.module.system.controller.admin.robot.task.TaskPPDistribution;

import java.util.List;

public interface RobotCommonTaskService {
    /**
     * 让机器人自动充电
     * @param robotNo
     */
    public void startAutoCharge(String robotNo) ;

    /**
     * 组装任务下发给车机
     * @param list
     */
    void sendTaskToRobot(List<TaskPPDistribution> list);

    /**
     * 发送充电任务给车机
     * @param chargeList
     */
    void sendChargeTaskToRobot(List<TaskPPDistribution> chargeList);
}
